1# Makefile.in generated by automake 1.14 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19  case $${target_option-} in \
20      ?) ;; \
21      *) echo "am__make_running_with_option: internal error: invalid" \
22              "target option '$${target_option-}' specified" >&2; \
23         exit 1;; \
24  esac; \
25  has_opt=no; \
26  sane_makeflags=$$MAKEFLAGS; \
27  if $(am__is_gnu_make); then \
28    sane_makeflags=$$MFLAGS; \
29  else \
30    case $$MAKEFLAGS in \
31      *\\[\ \	]*) \
32        bs=\\; \
33        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
35    esac; \
36  fi; \
37  skip_next=no; \
38  strip_trailopt () \
39  { \
40    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41  }; \
42  for flg in $$sane_makeflags; do \
43    test $$skip_next = yes && { skip_next=no; continue; }; \
44    case $$flg in \
45      *=*|--*) continue;; \
46        -*I) strip_trailopt 'I'; skip_next=yes;; \
47      -*I?*) strip_trailopt 'I';; \
48        -*O) strip_trailopt 'O'; skip_next=yes;; \
49      -*O?*) strip_trailopt 'O';; \
50        -*l) strip_trailopt 'l'; skip_next=yes;; \
51      -*l?*) strip_trailopt 'l';; \
52      -[dEDm]) skip_next=yes;; \
53      -[JT]) skip_next=yes;; \
54    esac; \
55    case $$flg in \
56      *$$target_option*) has_opt=yes; break;; \
57    esac; \
58  done; \
59  test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62pkgdatadir = $(datadir)/@PACKAGE@
63pkgincludedir = $(includedir)/@PACKAGE@
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
78build_triplet = @build@
79host_triplet = @host@
80DIST_COMMON = $(srcdir)/../Makefile.am.inc $(srcdir)/Makefile.in \
81	$(srcdir)/Makefile.am $(top_srcdir)/depcomp \
82	$(top_srcdir)/test-driver
83check_PROGRAMS = $(am__EXEEXT_1) test1Formatted$(EXEEXT) \
84	test2Formatted$(EXEEXT)
85subdir = tests
86ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
87am__aclocal_m4_deps = $(top_srcdir)/m4/maintainer.m4 \
88	$(top_srcdir)/configure.ac
89am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
90	$(ACLOCAL_M4)
91mkinstalldirs = $(install_sh) -d
92CONFIG_HEADER = $(top_builddir)/config.h $(top_builddir)/json_config.h
93CONFIG_CLEAN_FILES =
94CONFIG_CLEAN_VPATH_FILES =
95am__EXEEXT_1 = test1$(EXEEXT) test2$(EXEEXT) test4$(EXEEXT) \
96	testReplaceExisting$(EXEEXT) test_parse_int64$(EXEEXT) \
97	test_null$(EXEEXT) test_cast$(EXEEXT) test_parse$(EXEEXT) \
98	test_locale$(EXEEXT) test_charcase$(EXEEXT) \
99	test_printbuf$(EXEEXT) test_set_serializer$(EXEEXT)
100test1_SOURCES = test1.c
101test1_OBJECTS = test1.$(OBJEXT)
102test1_LDADD = $(LDADD)
103test1_DEPENDENCIES = $(LIBJSON_LA)
104AM_V_lt = $(am__v_lt_@AM_V@)
105am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
106am__v_lt_0 = --silent
107am__v_lt_1 = 
108am_test1Formatted_OBJECTS = test1Formatted-test1.$(OBJEXT) \
109	test1Formatted-parse_flags.$(OBJEXT)
110test1Formatted_OBJECTS = $(am_test1Formatted_OBJECTS)
111test1Formatted_LDADD = $(LDADD)
112test1Formatted_DEPENDENCIES = $(LIBJSON_LA)
113test2_SOURCES = test2.c
114test2_OBJECTS = test2.$(OBJEXT)
115test2_LDADD = $(LDADD)
116test2_DEPENDENCIES = $(LIBJSON_LA)
117am_test2Formatted_OBJECTS = test2Formatted-test2.$(OBJEXT) \
118	test2Formatted-parse_flags.$(OBJEXT)
119test2Formatted_OBJECTS = $(am_test2Formatted_OBJECTS)
120test2Formatted_LDADD = $(LDADD)
121test2Formatted_DEPENDENCIES = $(LIBJSON_LA)
122test4_SOURCES = test4.c
123test4_OBJECTS = test4.$(OBJEXT)
124test4_LDADD = $(LDADD)
125test4_DEPENDENCIES = $(LIBJSON_LA)
126testReplaceExisting_SOURCES = testReplaceExisting.c
127testReplaceExisting_OBJECTS = testReplaceExisting.$(OBJEXT)
128testReplaceExisting_LDADD = $(LDADD)
129testReplaceExisting_DEPENDENCIES = $(LIBJSON_LA)
130test_cast_SOURCES = test_cast.c
131test_cast_OBJECTS = test_cast.$(OBJEXT)
132test_cast_LDADD = $(LDADD)
133test_cast_DEPENDENCIES = $(LIBJSON_LA)
134test_charcase_SOURCES = test_charcase.c
135test_charcase_OBJECTS = test_charcase.$(OBJEXT)
136test_charcase_LDADD = $(LDADD)
137test_charcase_DEPENDENCIES = $(LIBJSON_LA)
138test_locale_SOURCES = test_locale.c
139test_locale_OBJECTS = test_locale.$(OBJEXT)
140test_locale_LDADD = $(LDADD)
141test_locale_DEPENDENCIES = $(LIBJSON_LA)
142test_null_SOURCES = test_null.c
143test_null_OBJECTS = test_null.$(OBJEXT)
144test_null_LDADD = $(LDADD)
145test_null_DEPENDENCIES = $(LIBJSON_LA)
146test_parse_SOURCES = test_parse.c
147test_parse_OBJECTS = test_parse.$(OBJEXT)
148test_parse_LDADD = $(LDADD)
149test_parse_DEPENDENCIES = $(LIBJSON_LA)
150test_parse_int64_SOURCES = test_parse_int64.c
151test_parse_int64_OBJECTS = test_parse_int64.$(OBJEXT)
152test_parse_int64_LDADD = $(LDADD)
153test_parse_int64_DEPENDENCIES = $(LIBJSON_LA)
154test_printbuf_SOURCES = test_printbuf.c
155test_printbuf_OBJECTS = test_printbuf.$(OBJEXT)
156test_printbuf_LDADD = $(LDADD)
157test_printbuf_DEPENDENCIES = $(LIBJSON_LA)
158test_set_serializer_SOURCES = test_set_serializer.c
159test_set_serializer_OBJECTS = test_set_serializer.$(OBJEXT)
160test_set_serializer_LDADD = $(LDADD)
161test_set_serializer_DEPENDENCIES = $(LIBJSON_LA)
162AM_V_P = $(am__v_P_@AM_V@)
163am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
164am__v_P_0 = false
165am__v_P_1 = :
166AM_V_GEN = $(am__v_GEN_@AM_V@)
167am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
168am__v_GEN_0 = @echo "  GEN     " $@;
169am__v_GEN_1 = 
170AM_V_at = $(am__v_at_@AM_V@)
171am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
172am__v_at_0 = @
173am__v_at_1 = 
174DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
175depcomp = $(SHELL) $(top_srcdir)/depcomp
176am__depfiles_maybe = depfiles
177am__mv = mv -f
178COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
179	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
180LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
181	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
182	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
183	$(AM_CFLAGS) $(CFLAGS)
184AM_V_CC = $(am__v_CC_@AM_V@)
185am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
186am__v_CC_0 = @echo "  CC      " $@;
187am__v_CC_1 = 
188CCLD = $(CC)
189LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
190	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
191	$(AM_LDFLAGS) $(LDFLAGS) -o $@
192AM_V_CCLD = $(am__v_CCLD_@AM_V@)
193am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
194am__v_CCLD_0 = @echo "  CCLD    " $@;
195am__v_CCLD_1 = 
196SOURCES = test1.c $(test1Formatted_SOURCES) test2.c \
197	$(test2Formatted_SOURCES) test4.c testReplaceExisting.c \
198	test_cast.c test_charcase.c test_locale.c test_null.c \
199	test_parse.c test_parse_int64.c test_printbuf.c \
200	test_set_serializer.c
201DIST_SOURCES = test1.c $(test1Formatted_SOURCES) test2.c \
202	$(test2Formatted_SOURCES) test4.c testReplaceExisting.c \
203	test_cast.c test_charcase.c test_locale.c test_null.c \
204	test_parse.c test_parse_int64.c test_printbuf.c \
205	test_set_serializer.c
206am__can_run_installinfo = \
207  case $$AM_UPDATE_INFO_DIR in \
208    n|no|NO) false;; \
209    *) (install-info --version) >/dev/null 2>&1;; \
210  esac
211am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
212# Read a list of newline-separated strings from the standard input,
213# and print each of them once, without duplicates.  Input order is
214# *not* preserved.
215am__uniquify_input = $(AWK) '\
216  BEGIN { nonempty = 0; } \
217  { items[$$0] = 1; nonempty = 1; } \
218  END { if (nonempty) { for (i in items) print i; }; } \
219'
220# Make sure the list of sources is unique.  This is necessary because,
221# e.g., the same source file might be shared among _SOURCES variables
222# for different programs/libraries.
223am__define_uniq_tagged_files = \
224  list='$(am__tagged_files)'; \
225  unique=`for i in $$list; do \
226    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
227  done | $(am__uniquify_input)`
228ETAGS = etags
229CTAGS = ctags
230am__tty_colors_dummy = \
231  mgn= red= grn= lgn= blu= brg= std=; \
232  am__color_tests=no
233am__tty_colors = { \
234  $(am__tty_colors_dummy); \
235  if test "X$(AM_COLOR_TESTS)" = Xno; then \
236    am__color_tests=no; \
237  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
238    am__color_tests=yes; \
239  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
240    am__color_tests=yes; \
241  fi; \
242  if test $$am__color_tests = yes; then \
243    red='[0;31m'; \
244    grn='[0;32m'; \
245    lgn='[1;32m'; \
246    blu='[1;34m'; \
247    mgn='[0;35m'; \
248    brg='[1m'; \
249    std='[m'; \
250  fi; \
251}
252am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
253am__vpath_adj = case $$p in \
254    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
255    *) f=$$p;; \
256  esac;
257am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
258am__install_max = 40
259am__nobase_strip_setup = \
260  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
261am__nobase_strip = \
262  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
263am__nobase_list = $(am__nobase_strip_setup); \
264  for p in $$list; do echo "$$p $$p"; done | \
265  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
266  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
267    if (++n[$$2] == $(am__install_max)) \
268      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
269    END { for (dir in files) print dir, files[dir] }'
270am__base_list = \
271  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
272  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
273am__uninstall_files_from_dir = { \
274  test -z "$$files" \
275    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
276    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
277         $(am__cd) "$$dir" && rm -f $$files; }; \
278  }
279am__recheck_rx = ^[ 	]*:recheck:[ 	]*
280am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
281am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
282# A command that, given a newline-separated list of test names on the
283# standard input, print the name of the tests that are to be re-run
284# upon "make recheck".
285am__list_recheck_tests = $(AWK) '{ \
286  recheck = 1; \
287  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
288    { \
289      if (rc < 0) \
290        { \
291          if ((getline line2 < ($$0 ".log")) < 0) \
292	    recheck = 0; \
293          break; \
294        } \
295      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
296        { \
297          recheck = 0; \
298          break; \
299        } \
300      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
301        { \
302          break; \
303        } \
304    }; \
305  if (recheck) \
306    print $$0; \
307  close ($$0 ".trs"); \
308  close ($$0 ".log"); \
309}'
310# A command that, given a newline-separated list of test names on the
311# standard input, create the global log from their .trs and .log files.
312am__create_global_log = $(AWK) ' \
313function fatal(msg) \
314{ \
315  print "fatal: making $@: " msg | "cat >&2"; \
316  exit 1; \
317} \
318function rst_section(header) \
319{ \
320  print header; \
321  len = length(header); \
322  for (i = 1; i <= len; i = i + 1) \
323    printf "="; \
324  printf "\n\n"; \
325} \
326{ \
327  copy_in_global_log = 1; \
328  global_test_result = "RUN"; \
329  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
330    { \
331      if (rc < 0) \
332         fatal("failed to read from " $$0 ".trs"); \
333      if (line ~ /$(am__global_test_result_rx)/) \
334        { \
335          sub("$(am__global_test_result_rx)", "", line); \
336          sub("[ 	]*$$", "", line); \
337          global_test_result = line; \
338        } \
339      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
340        copy_in_global_log = 0; \
341    }; \
342  if (copy_in_global_log) \
343    { \
344      rst_section(global_test_result ": " $$0); \
345      while ((rc = (getline line < ($$0 ".log"))) != 0) \
346      { \
347        if (rc < 0) \
348          fatal("failed to read from " $$0 ".log"); \
349        print line; \
350      }; \
351      printf "\n"; \
352    }; \
353  close ($$0 ".trs"); \
354  close ($$0 ".log"); \
355}'
356# Restructured Text title.
357am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
358# Solaris 10 'make', and several other traditional 'make' implementations,
359# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
360# by disabling -e (using the XSI extension "set +e") if it's set.
361am__sh_e_setup = case $$- in *e*) set +e;; esac
362# Default flags passed to test drivers.
363am__common_driver_flags = \
364  --color-tests "$$am__color_tests" \
365  --enable-hard-errors "$$am__enable_hard_errors" \
366  --expect-failure "$$am__expect_failure"
367# To be inserted before the command running the test.  Creates the
368# directory for the log if needed.  Stores in $dir the directory
369# containing $f, in $tst the test, in $log the log.  Executes the
370# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
371# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
372# will run the test scripts (or their associated LOG_COMPILER, if
373# thy have one).
374am__check_pre = \
375$(am__sh_e_setup);					\
376$(am__vpath_adj_setup) $(am__vpath_adj)			\
377$(am__tty_colors);					\
378srcdir=$(srcdir); export srcdir;			\
379case "$@" in						\
380  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
381    *) am__odir=.;; 					\
382esac;							\
383test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
384  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
385if test -f "./$$f"; then dir=./;			\
386elif test -f "$$f"; then dir=;				\
387else dir="$(srcdir)/"; fi;				\
388tst=$$dir$$f; log='$@'; 				\
389if test -n '$(DISABLE_HARD_ERRORS)'; then		\
390  am__enable_hard_errors=no; 				\
391else							\
392  am__enable_hard_errors=yes; 				\
393fi; 							\
394case " $(XFAIL_TESTS) " in				\
395  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
396    am__expect_failure=yes;;				\
397  *)							\
398    am__expect_failure=no;;				\
399esac; 							\
400$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
401# A shell command to get the names of the tests scripts with any registered
402# extension removed (i.e., equivalently, the names of the test logs, with
403# the '.log' extension removed).  The result is saved in the shell variable
404# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
405# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
406# since that might cause problem with VPATH rewrites for suffix-less tests.
407# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
408am__set_TESTS_bases = \
409  bases='$(TEST_LOGS)'; \
410  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
411  bases=`echo $$bases`
412RECHECK_LOGS = $(TEST_LOGS)
413AM_RECURSIVE_TARGETS = check recheck
414TEST_SUITE_LOG = test-suite.log
415TEST_EXTENSIONS = @EXEEXT@ .test
416am__test_logs1 = $(TESTS:=.log)
417am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
418TEST_LOGS = $(am__test_logs2:.test.log=.log)
419TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
420TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
421	$(TEST_LOG_FLAGS)
422am__set_b = \
423  case '$@' in \
424    */*) \
425      case '$*' in \
426        */*) b='$*';; \
427          *) b=`echo '$@' | sed 's/\.log$$//'`; \
428       esac;; \
429    *) \
430      b='$*';; \
431  esac
432DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
433ACLOCAL = @ACLOCAL@
434AMTAR = @AMTAR@
435AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
436AR = @AR@
437AUTOCONF = @AUTOCONF@
438AUTOHEADER = @AUTOHEADER@
439AUTOMAKE = @AUTOMAKE@
440AWK = @AWK@
441CC = @CC@
442CCDEPMODE = @CCDEPMODE@
443CFLAGS = @CFLAGS@
444CPP = @CPP@
445CPPFLAGS = @CPPFLAGS@
446CYGPATH_W = @CYGPATH_W@
447DEFS = @DEFS@
448DEPDIR = @DEPDIR@
449DLLTOOL = @DLLTOOL@
450DSYMUTIL = @DSYMUTIL@
451DUMPBIN = @DUMPBIN@
452ECHO_C = @ECHO_C@
453ECHO_N = @ECHO_N@
454ECHO_T = @ECHO_T@
455EGREP = @EGREP@
456EXEEXT = @EXEEXT@
457FGREP = @FGREP@
458GREP = @GREP@
459INSTALL = @INSTALL@
460INSTALL_DATA = @INSTALL_DATA@
461INSTALL_PROGRAM = @INSTALL_PROGRAM@
462INSTALL_SCRIPT = @INSTALL_SCRIPT@
463INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
464JSON_BSYMBOLIC_LDFLAGS = @JSON_BSYMBOLIC_LDFLAGS@
465LD = @LD@
466LDFLAGS = @LDFLAGS@
467LIBOBJS = @LIBOBJS@
468LIBS = @LIBS@
469LIBTOOL = @LIBTOOL@
470LIPO = @LIPO@
471LN_S = @LN_S@
472LTLIBOBJS = @LTLIBOBJS@
473MAINT = @MAINT@
474MAKEINFO = @MAKEINFO@
475MANIFEST_TOOL = @MANIFEST_TOOL@
476MKDIR_P = @MKDIR_P@
477NM = @NM@
478NMEDIT = @NMEDIT@
479OBJDUMP = @OBJDUMP@
480OBJEXT = @OBJEXT@
481OTOOL = @OTOOL@
482OTOOL64 = @OTOOL64@
483PACKAGE = @PACKAGE@
484PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
485PACKAGE_NAME = @PACKAGE_NAME@
486PACKAGE_STRING = @PACKAGE_STRING@
487PACKAGE_TARNAME = @PACKAGE_TARNAME@
488PACKAGE_URL = @PACKAGE_URL@
489PACKAGE_VERSION = @PACKAGE_VERSION@
490PATH_SEPARATOR = @PATH_SEPARATOR@
491RANLIB = @RANLIB@
492SED = @SED@
493SET_MAKE = @SET_MAKE@
494SHELL = @SHELL@
495STRIP = @STRIP@
496VERSION = @VERSION@
497abs_builddir = @abs_builddir@
498abs_srcdir = @abs_srcdir@
499abs_top_builddir = @abs_top_builddir@
500abs_top_srcdir = @abs_top_srcdir@
501ac_ct_AR = @ac_ct_AR@
502ac_ct_CC = @ac_ct_CC@
503ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
504am__include = @am__include@
505am__leading_dot = @am__leading_dot@
506am__quote = @am__quote@
507am__tar = @am__tar@
508am__untar = @am__untar@
509bindir = @bindir@
510build = @build@
511build_alias = @build_alias@
512build_cpu = @build_cpu@
513build_os = @build_os@
514build_vendor = @build_vendor@
515builddir = @builddir@
516datadir = @datadir@
517datarootdir = @datarootdir@
518docdir = @docdir@
519dvidir = @dvidir@
520exec_prefix = @exec_prefix@
521host = @host@
522host_alias = @host_alias@
523host_cpu = @host_cpu@
524host_os = @host_os@
525host_vendor = @host_vendor@
526htmldir = @htmldir@
527includedir = @includedir@
528infodir = @infodir@
529install_sh = @install_sh@
530libdir = @libdir@
531libexecdir = @libexecdir@
532localedir = @localedir@
533localstatedir = @localstatedir@
534mandir = @mandir@
535mkdir_p = @mkdir_p@
536oldincludedir = @oldincludedir@
537pdfdir = @pdfdir@
538prefix = @prefix@
539program_transform_name = @program_transform_name@
540psdir = @psdir@
541sbindir = @sbindir@
542sharedstatedir = @sharedstatedir@
543srcdir = @srcdir@
544sysconfdir = @sysconfdir@
545target_alias = @target_alias@
546top_build_prefix = @top_build_prefix@
547top_builddir = @top_builddir@
548top_srcdir = @top_srcdir@
549AM_CFLAGS = -Wall -Werror -Wno-error=deprecated-declarations -Wextra -Wwrite-strings -Wno-unused-parameter -std=gnu99 -D_GNU_SOURCE -D_REENTRANT
550LDADD = $(LIBJSON_LA)
551LIBJSON_LA = $(top_builddir)/libjson-c.la
552TESTS = test1.test test2.test test4.test testReplaceExisting.test \
553	test_parse_int64.test test_null.test test_cast.test \
554	test_parse.test test_locale.test test_charcase.test \
555	test_printbuf.test test_set_serializer.test
556test1Formatted_SOURCES = test1.c parse_flags.c
557test1Formatted_CPPFLAGS = -DTEST_FORMATTED
558test2Formatted_SOURCES = test2.c parse_flags.c
559test2Formatted_CPPFLAGS = -DTEST_FORMATTED
560EXTRA_DIST = $(TESTS)
561testsubdir = testSubDir
562TESTS_ENVIRONMENT = top_builddir=$(top_builddir)
563all: all-am
564
565.SUFFIXES:
566.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
567$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../Makefile.am.inc $(am__configure_deps)
568	@for dep in $?; do \
569	  case '$(am__configure_deps)' in \
570	    *$$dep*) \
571	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
572	        && { if test -f $@; then exit 0; else break; fi; }; \
573	      exit 1;; \
574	  esac; \
575	done; \
576	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
577	$(am__cd) $(top_srcdir) && \
578	  $(AUTOMAKE) --gnu tests/Makefile
579.PRECIOUS: Makefile
580Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
581	@case '$?' in \
582	  *config.status*) \
583	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
584	  *) \
585	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
586	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
587	esac;
588$(srcdir)/../Makefile.am.inc:
589
590$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
591	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
592
593$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
594	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
595$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
596	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
597$(am__aclocal_m4_deps):
598
599clean-checkPROGRAMS:
600	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
601	echo " rm -f" $$list; \
602	rm -f $$list || exit $$?; \
603	test -n "$(EXEEXT)" || exit 0; \
604	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
605	echo " rm -f" $$list; \
606	rm -f $$list
607
608test1$(EXEEXT): $(test1_OBJECTS) $(test1_DEPENDENCIES) $(EXTRA_test1_DEPENDENCIES) 
609	@rm -f test1$(EXEEXT)
610	$(AM_V_CCLD)$(LINK) $(test1_OBJECTS) $(test1_LDADD) $(LIBS)
611
612test1Formatted$(EXEEXT): $(test1Formatted_OBJECTS) $(test1Formatted_DEPENDENCIES) $(EXTRA_test1Formatted_DEPENDENCIES) 
613	@rm -f test1Formatted$(EXEEXT)
614	$(AM_V_CCLD)$(LINK) $(test1Formatted_OBJECTS) $(test1Formatted_LDADD) $(LIBS)
615
616test2$(EXEEXT): $(test2_OBJECTS) $(test2_DEPENDENCIES) $(EXTRA_test2_DEPENDENCIES) 
617	@rm -f test2$(EXEEXT)
618	$(AM_V_CCLD)$(LINK) $(test2_OBJECTS) $(test2_LDADD) $(LIBS)
619
620test2Formatted$(EXEEXT): $(test2Formatted_OBJECTS) $(test2Formatted_DEPENDENCIES) $(EXTRA_test2Formatted_DEPENDENCIES) 
621	@rm -f test2Formatted$(EXEEXT)
622	$(AM_V_CCLD)$(LINK) $(test2Formatted_OBJECTS) $(test2Formatted_LDADD) $(LIBS)
623
624test4$(EXEEXT): $(test4_OBJECTS) $(test4_DEPENDENCIES) $(EXTRA_test4_DEPENDENCIES) 
625	@rm -f test4$(EXEEXT)
626	$(AM_V_CCLD)$(LINK) $(test4_OBJECTS) $(test4_LDADD) $(LIBS)
627
628testReplaceExisting$(EXEEXT): $(testReplaceExisting_OBJECTS) $(testReplaceExisting_DEPENDENCIES) $(EXTRA_testReplaceExisting_DEPENDENCIES) 
629	@rm -f testReplaceExisting$(EXEEXT)
630	$(AM_V_CCLD)$(LINK) $(testReplaceExisting_OBJECTS) $(testReplaceExisting_LDADD) $(LIBS)
631
632test_cast$(EXEEXT): $(test_cast_OBJECTS) $(test_cast_DEPENDENCIES) $(EXTRA_test_cast_DEPENDENCIES) 
633	@rm -f test_cast$(EXEEXT)
634	$(AM_V_CCLD)$(LINK) $(test_cast_OBJECTS) $(test_cast_LDADD) $(LIBS)
635
636test_charcase$(EXEEXT): $(test_charcase_OBJECTS) $(test_charcase_DEPENDENCIES) $(EXTRA_test_charcase_DEPENDENCIES) 
637	@rm -f test_charcase$(EXEEXT)
638	$(AM_V_CCLD)$(LINK) $(test_charcase_OBJECTS) $(test_charcase_LDADD) $(LIBS)
639
640test_locale$(EXEEXT): $(test_locale_OBJECTS) $(test_locale_DEPENDENCIES) $(EXTRA_test_locale_DEPENDENCIES) 
641	@rm -f test_locale$(EXEEXT)
642	$(AM_V_CCLD)$(LINK) $(test_locale_OBJECTS) $(test_locale_LDADD) $(LIBS)
643
644test_null$(EXEEXT): $(test_null_OBJECTS) $(test_null_DEPENDENCIES) $(EXTRA_test_null_DEPENDENCIES) 
645	@rm -f test_null$(EXEEXT)
646	$(AM_V_CCLD)$(LINK) $(test_null_OBJECTS) $(test_null_LDADD) $(LIBS)
647
648test_parse$(EXEEXT): $(test_parse_OBJECTS) $(test_parse_DEPENDENCIES) $(EXTRA_test_parse_DEPENDENCIES) 
649	@rm -f test_parse$(EXEEXT)
650	$(AM_V_CCLD)$(LINK) $(test_parse_OBJECTS) $(test_parse_LDADD) $(LIBS)
651
652test_parse_int64$(EXEEXT): $(test_parse_int64_OBJECTS) $(test_parse_int64_DEPENDENCIES) $(EXTRA_test_parse_int64_DEPENDENCIES) 
653	@rm -f test_parse_int64$(EXEEXT)
654	$(AM_V_CCLD)$(LINK) $(test_parse_int64_OBJECTS) $(test_parse_int64_LDADD) $(LIBS)
655
656test_printbuf$(EXEEXT): $(test_printbuf_OBJECTS) $(test_printbuf_DEPENDENCIES) $(EXTRA_test_printbuf_DEPENDENCIES) 
657	@rm -f test_printbuf$(EXEEXT)
658	$(AM_V_CCLD)$(LINK) $(test_printbuf_OBJECTS) $(test_printbuf_LDADD) $(LIBS)
659
660test_set_serializer$(EXEEXT): $(test_set_serializer_OBJECTS) $(test_set_serializer_DEPENDENCIES) $(EXTRA_test_set_serializer_DEPENDENCIES) 
661	@rm -f test_set_serializer$(EXEEXT)
662	$(AM_V_CCLD)$(LINK) $(test_set_serializer_OBJECTS) $(test_set_serializer_LDADD) $(LIBS)
663
664mostlyclean-compile:
665	-rm -f *.$(OBJEXT)
666
667distclean-compile:
668	-rm -f *.tab.c
669
670@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test1.Po@am__quote@
671@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test1Formatted-parse_flags.Po@am__quote@
672@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test1Formatted-test1.Po@am__quote@
673@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test2.Po@am__quote@
674@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test2Formatted-parse_flags.Po@am__quote@
675@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test2Formatted-test2.Po@am__quote@
676@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test4.Po@am__quote@
677@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testReplaceExisting.Po@am__quote@
678@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_cast.Po@am__quote@
679@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_charcase.Po@am__quote@
680@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_locale.Po@am__quote@
681@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_null.Po@am__quote@
682@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_parse.Po@am__quote@
683@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_parse_int64.Po@am__quote@
684@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_printbuf.Po@am__quote@
685@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_set_serializer.Po@am__quote@
686
687.c.o:
688@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
689@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
690@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
691@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
692@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
693
694.c.obj:
695@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
696@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
697@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
698@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
699@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
700
701.c.lo:
702@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
703@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
704@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
705@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
706@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
707
708test1Formatted-test1.o: test1.c
709@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test1Formatted-test1.o -MD -MP -MF $(DEPDIR)/test1Formatted-test1.Tpo -c -o test1Formatted-test1.o `test -f 'test1.c' || echo '$(srcdir)/'`test1.c
710@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test1Formatted-test1.Tpo $(DEPDIR)/test1Formatted-test1.Po
711@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test1.c' object='test1Formatted-test1.o' libtool=no @AMDEPBACKSLASH@
712@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
713@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test1Formatted-test1.o `test -f 'test1.c' || echo '$(srcdir)/'`test1.c
714
715test1Formatted-test1.obj: test1.c
716@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test1Formatted-test1.obj -MD -MP -MF $(DEPDIR)/test1Formatted-test1.Tpo -c -o test1Formatted-test1.obj `if test -f 'test1.c'; then $(CYGPATH_W) 'test1.c'; else $(CYGPATH_W) '$(srcdir)/test1.c'; fi`
717@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test1Formatted-test1.Tpo $(DEPDIR)/test1Formatted-test1.Po
718@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test1.c' object='test1Formatted-test1.obj' libtool=no @AMDEPBACKSLASH@
719@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
720@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test1Formatted-test1.obj `if test -f 'test1.c'; then $(CYGPATH_W) 'test1.c'; else $(CYGPATH_W) '$(srcdir)/test1.c'; fi`
721
722test1Formatted-parse_flags.o: parse_flags.c
723@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test1Formatted-parse_flags.o -MD -MP -MF $(DEPDIR)/test1Formatted-parse_flags.Tpo -c -o test1Formatted-parse_flags.o `test -f 'parse_flags.c' || echo '$(srcdir)/'`parse_flags.c
724@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test1Formatted-parse_flags.Tpo $(DEPDIR)/test1Formatted-parse_flags.Po
725@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='parse_flags.c' object='test1Formatted-parse_flags.o' libtool=no @AMDEPBACKSLASH@
726@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
727@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test1Formatted-parse_flags.o `test -f 'parse_flags.c' || echo '$(srcdir)/'`parse_flags.c
728
729test1Formatted-parse_flags.obj: parse_flags.c
730@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test1Formatted-parse_flags.obj -MD -MP -MF $(DEPDIR)/test1Formatted-parse_flags.Tpo -c -o test1Formatted-parse_flags.obj `if test -f 'parse_flags.c'; then $(CYGPATH_W) 'parse_flags.c'; else $(CYGPATH_W) '$(srcdir)/parse_flags.c'; fi`
731@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test1Formatted-parse_flags.Tpo $(DEPDIR)/test1Formatted-parse_flags.Po
732@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='parse_flags.c' object='test1Formatted-parse_flags.obj' libtool=no @AMDEPBACKSLASH@
733@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
734@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test1Formatted-parse_flags.obj `if test -f 'parse_flags.c'; then $(CYGPATH_W) 'parse_flags.c'; else $(CYGPATH_W) '$(srcdir)/parse_flags.c'; fi`
735
736test2Formatted-test2.o: test2.c
737@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test2Formatted-test2.o -MD -MP -MF $(DEPDIR)/test2Formatted-test2.Tpo -c -o test2Formatted-test2.o `test -f 'test2.c' || echo '$(srcdir)/'`test2.c
738@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test2Formatted-test2.Tpo $(DEPDIR)/test2Formatted-test2.Po
739@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test2.c' object='test2Formatted-test2.o' libtool=no @AMDEPBACKSLASH@
740@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
741@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test2Formatted-test2.o `test -f 'test2.c' || echo '$(srcdir)/'`test2.c
742
743test2Formatted-test2.obj: test2.c
744@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test2Formatted-test2.obj -MD -MP -MF $(DEPDIR)/test2Formatted-test2.Tpo -c -o test2Formatted-test2.obj `if test -f 'test2.c'; then $(CYGPATH_W) 'test2.c'; else $(CYGPATH_W) '$(srcdir)/test2.c'; fi`
745@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test2Formatted-test2.Tpo $(DEPDIR)/test2Formatted-test2.Po
746@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='test2.c' object='test2Formatted-test2.obj' libtool=no @AMDEPBACKSLASH@
747@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
748@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test2Formatted-test2.obj `if test -f 'test2.c'; then $(CYGPATH_W) 'test2.c'; else $(CYGPATH_W) '$(srcdir)/test2.c'; fi`
749
750test2Formatted-parse_flags.o: parse_flags.c
751@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test2Formatted-parse_flags.o -MD -MP -MF $(DEPDIR)/test2Formatted-parse_flags.Tpo -c -o test2Formatted-parse_flags.o `test -f 'parse_flags.c' || echo '$(srcdir)/'`parse_flags.c
752@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test2Formatted-parse_flags.Tpo $(DEPDIR)/test2Formatted-parse_flags.Po
753@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='parse_flags.c' object='test2Formatted-parse_flags.o' libtool=no @AMDEPBACKSLASH@
754@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
755@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test2Formatted-parse_flags.o `test -f 'parse_flags.c' || echo '$(srcdir)/'`parse_flags.c
756
757test2Formatted-parse_flags.obj: parse_flags.c
758@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test2Formatted-parse_flags.obj -MD -MP -MF $(DEPDIR)/test2Formatted-parse_flags.Tpo -c -o test2Formatted-parse_flags.obj `if test -f 'parse_flags.c'; then $(CYGPATH_W) 'parse_flags.c'; else $(CYGPATH_W) '$(srcdir)/parse_flags.c'; fi`
759@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test2Formatted-parse_flags.Tpo $(DEPDIR)/test2Formatted-parse_flags.Po
760@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='parse_flags.c' object='test2Formatted-parse_flags.obj' libtool=no @AMDEPBACKSLASH@
761@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
762@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test2Formatted-parse_flags.obj `if test -f 'parse_flags.c'; then $(CYGPATH_W) 'parse_flags.c'; else $(CYGPATH_W) '$(srcdir)/parse_flags.c'; fi`
763
764mostlyclean-libtool:
765	-rm -f *.lo
766
767clean-libtool:
768	-rm -rf .libs _libs
769
770ID: $(am__tagged_files)
771	$(am__define_uniq_tagged_files); mkid -fID $$unique
772tags: tags-am
773TAGS: tags
774
775tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
776	set x; \
777	here=`pwd`; \
778	$(am__define_uniq_tagged_files); \
779	shift; \
780	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
781	  test -n "$$unique" || unique=$$empty_fix; \
782	  if test $$# -gt 0; then \
783	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
784	      "$$@" $$unique; \
785	  else \
786	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
787	      $$unique; \
788	  fi; \
789	fi
790ctags: ctags-am
791
792CTAGS: ctags
793ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
794	$(am__define_uniq_tagged_files); \
795	test -z "$(CTAGS_ARGS)$$unique" \
796	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
797	     $$unique
798
799GTAGS:
800	here=`$(am__cd) $(top_builddir) && pwd` \
801	  && $(am__cd) $(top_srcdir) \
802	  && gtags -i $(GTAGS_ARGS) "$$here"
803cscopelist: cscopelist-am
804
805cscopelist-am: $(am__tagged_files)
806	list='$(am__tagged_files)'; \
807	case "$(srcdir)" in \
808	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
809	  *) sdir=$(subdir)/$(srcdir) ;; \
810	esac; \
811	for i in $$list; do \
812	  if test -f "$$i"; then \
813	    echo "$(subdir)/$$i"; \
814	  else \
815	    echo "$$sdir/$$i"; \
816	  fi; \
817	done >> $(top_builddir)/cscope.files
818
819distclean-tags:
820	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
821
822# Recover from deleted '.trs' file; this should ensure that
823# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
824# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
825# to avoid problems with "make -n".
826.log.trs:
827	rm -f $< $@
828	$(MAKE) $(AM_MAKEFLAGS) $<
829
830# Leading 'am--fnord' is there to ensure the list of targets does not
831# expand to empty, as could happen e.g. with make check TESTS=''.
832am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
833am--force-recheck:
834	@:
835
836$(TEST_SUITE_LOG): $(TEST_LOGS)
837	@$(am__set_TESTS_bases); \
838	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
839	redo_bases=`for i in $$bases; do \
840	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
841	            done`; \
842	if test -n "$$redo_bases"; then \
843	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
844	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
845	  if $(am__make_dryrun); then :; else \
846	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
847	  fi; \
848	fi; \
849	if test -n "$$am__remaking_logs"; then \
850	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
851	       "recursion detected" >&2; \
852	else \
853	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
854	fi; \
855	if $(am__make_dryrun); then :; else \
856	  st=0;  \
857	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
858	  for i in $$redo_bases; do \
859	    test -f $$i.trs && test -r $$i.trs \
860	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
861	    test -f $$i.log && test -r $$i.log \
862	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
863	  done; \
864	  test $$st -eq 0 || exit 1; \
865	fi
866	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
867	ws='[ 	]'; \
868	results=`for b in $$bases; do echo $$b.trs; done`; \
869	test -n "$$results" || results=/dev/null; \
870	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
871	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
872	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
873	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
874	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
875	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
876	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
877	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
878	  success=true; \
879	else \
880	  success=false; \
881	fi; \
882	br='==================='; br=$$br$$br$$br$$br; \
883	result_count () \
884	{ \
885	    if test x"$$1" = x"--maybe-color"; then \
886	      maybe_colorize=yes; \
887	    elif test x"$$1" = x"--no-color"; then \
888	      maybe_colorize=no; \
889	    else \
890	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
891	    fi; \
892	    shift; \
893	    desc=$$1 count=$$2; \
894	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
895	      color_start=$$3 color_end=$$std; \
896	    else \
897	      color_start= color_end=; \
898	    fi; \
899	    echo "$${color_start}# $$desc $$count$${color_end}"; \
900	}; \
901	create_testsuite_report () \
902	{ \
903	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
904	  result_count $$1 "PASS: " $$pass  "$$grn"; \
905	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
906	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
907	  result_count $$1 "FAIL: " $$fail  "$$red"; \
908	  result_count $$1 "XPASS:" $$xpass "$$red"; \
909	  result_count $$1 "ERROR:" $$error "$$mgn"; \
910	}; \
911	{								\
912	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
913	    $(am__rst_title);						\
914	  create_testsuite_report --no-color;				\
915	  echo;								\
916	  echo ".. contents:: :depth: 2";				\
917	  echo;								\
918	  for b in $$bases; do echo $$b; done				\
919	    | $(am__create_global_log);					\
920	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
921	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
922	if $$success; then						\
923	  col="$$grn";							\
924	 else								\
925	  col="$$red";							\
926	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
927	fi;								\
928	echo "$${col}$$br$${std}"; 					\
929	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
930	echo "$${col}$$br$${std}"; 					\
931	create_testsuite_report --maybe-color;				\
932	echo "$$col$$br$$std";						\
933	if $$success; then :; else					\
934	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
935	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
936	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
937	  fi;								\
938	  echo "$$col$$br$$std";					\
939	fi;								\
940	$$success || exit 1
941
942check-TESTS:
943	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
944	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
945	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
946	@set +e; $(am__set_TESTS_bases); \
947	log_list=`for i in $$bases; do echo $$i.log; done`; \
948	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
949	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
950	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
951	exit $$?;
952recheck: all $(check_PROGRAMS)
953	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
954	@set +e; $(am__set_TESTS_bases); \
955	bases=`for i in $$bases; do echo $$i; done \
956	         | $(am__list_recheck_tests)` || exit 1; \
957	log_list=`for i in $$bases; do echo $$i.log; done`; \
958	log_list=`echo $$log_list`; \
959	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
960	        am__force_recheck=am--force-recheck \
961	        TEST_LOGS="$$log_list"; \
962	exit $$?
963.test.log:
964	@p='$<'; \
965	$(am__set_b); \
966	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
967	--log-file $$b.log --trs-file $$b.trs \
968	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
969	"$$tst" $(AM_TESTS_FD_REDIRECT)
970@am__EXEEXT_TRUE@.test$(EXEEXT).log:
971@am__EXEEXT_TRUE@	@p='$<'; \
972@am__EXEEXT_TRUE@	$(am__set_b); \
973@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
974@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
975@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
976@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
977
978distdir: $(DISTFILES)
979	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
980	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
981	list='$(DISTFILES)'; \
982	  dist_files=`for file in $$list; do echo $$file; done | \
983	  sed -e "s|^$$srcdirstrip/||;t" \
984	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
985	case $$dist_files in \
986	  */*) $(MKDIR_P) `echo "$$dist_files" | \
987			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
988			   sort -u` ;; \
989	esac; \
990	for file in $$dist_files; do \
991	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
992	  if test -d $$d/$$file; then \
993	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
994	    if test -d "$(distdir)/$$file"; then \
995	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
996	    fi; \
997	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
998	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
999	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1000	    fi; \
1001	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1002	  else \
1003	    test -f "$(distdir)/$$file" \
1004	    || cp -p $$d/$$file "$(distdir)/$$file" \
1005	    || exit 1; \
1006	  fi; \
1007	done
1008check-am: all-am
1009	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1010	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1011check: check-am
1012all-am: Makefile
1013installdirs:
1014install: install-am
1015install-exec: install-exec-am
1016install-data: install-data-am
1017uninstall: uninstall-am
1018
1019install-am: all-am
1020	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1021
1022installcheck: installcheck-am
1023install-strip:
1024	if test -z '$(STRIP)'; then \
1025	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1026	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1027	      install; \
1028	else \
1029	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1030	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1031	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1032	fi
1033mostlyclean-generic:
1034	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1035	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1036	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1037
1038clean-generic:
1039
1040distclean-generic:
1041	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1042	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1043
1044maintainer-clean-generic:
1045	@echo "This command is intended for maintainers to use"
1046	@echo "it deletes files that may require special tools to rebuild."
1047clean: clean-am
1048
1049clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1050	mostlyclean-am
1051
1052distclean: distclean-am
1053	-rm -rf ./$(DEPDIR)
1054	-rm -f Makefile
1055distclean-am: clean-am distclean-compile distclean-generic \
1056	distclean-local distclean-tags
1057
1058dvi: dvi-am
1059
1060dvi-am:
1061
1062html: html-am
1063
1064html-am:
1065
1066info: info-am
1067
1068info-am:
1069
1070install-data-am:
1071
1072install-dvi: install-dvi-am
1073
1074install-dvi-am:
1075
1076install-exec-am:
1077
1078install-html: install-html-am
1079
1080install-html-am:
1081
1082install-info: install-info-am
1083
1084install-info-am:
1085
1086install-man:
1087
1088install-pdf: install-pdf-am
1089
1090install-pdf-am:
1091
1092install-ps: install-ps-am
1093
1094install-ps-am:
1095
1096installcheck-am:
1097
1098maintainer-clean: maintainer-clean-am
1099	-rm -rf ./$(DEPDIR)
1100	-rm -f Makefile
1101maintainer-clean-am: distclean-am maintainer-clean-generic
1102
1103mostlyclean: mostlyclean-am
1104
1105mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1106	mostlyclean-libtool
1107
1108pdf: pdf-am
1109
1110pdf-am:
1111
1112ps: ps-am
1113
1114ps-am:
1115
1116uninstall-am:
1117
1118.MAKE: check-am install-am install-strip
1119
1120.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1121	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1122	ctags ctags-am distclean distclean-compile distclean-generic \
1123	distclean-libtool distclean-local distclean-tags distdir dvi \
1124	dvi-am html html-am info info-am install install-am \
1125	install-data install-data-am install-dvi install-dvi-am \
1126	install-exec install-exec-am install-html install-html-am \
1127	install-info install-info-am install-man install-pdf \
1128	install-pdf-am install-ps install-ps-am install-strip \
1129	installcheck installcheck-am installdirs maintainer-clean \
1130	maintainer-clean-generic mostlyclean mostlyclean-compile \
1131	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1132	recheck tags tags-am uninstall uninstall-am
1133
1134
1135distclean-local:
1136	-rm -rf $(testsubdir)
1137
1138# Tell versions [3.59,3.63) of GNU make to not export all variables.
1139# Otherwise a system limit (for SysV at least) may be exceeded.
1140.NOEXPORT:
1141